> ## Documentation Index
> Fetch the complete documentation index at: https://developers.octaviatech.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List Languages

> List Languages.



## OpenAPI

````yaml GET /languages/getAll
openapi: 3.1.0
info:
  title: Blog API
  version: 1.0.0
servers:
  - url: https://api.octaviatech.app/cms
    description: Production
security:
  - ApiKeyAuth: []
tags: []
paths:
  /languages/getAll:
    get:
      tags:
        - Languages
      summary: List languages (paginated)
      description: >
        Returns a paginated list of languages for the current tenant.


        Query parameters:

        - `page` (integer, optional): 1-based page index. Must be >= 1. Defaults
        to 1.

        - `limit` (integer, optional): Items per page. Must be >= 1. Defaults to
        10.


        Notes:

        - Only non-deleted records are returned.

        - Results are tenant-scoped.
      parameters:
        - in: query
          name: page
          required: false
          schema:
            type: integer
            example: 1
            minimum: 1
          description: 1-based page index. Defaults to 1.
        - in: query
          name: limit
          required: false
          schema:
            type: integer
            minimum: 1
            example: 10
          description: Items per page. Defaults to 10.
      responses:
        '200':
          description: OK
          content:
            application/json:
              example:
                success: true
                statusCode: 200
                message: Languages list retrieved successfully
                data:
                  languages:
                    - id: '{{id}}'
                      code: en
                      name: English
                      isActive: true
                  pagination:
                    total: 1
                    page: 1
                    limit: 10
                    totalPages: 1
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````